Subject: [sipcore] Fwd: New Version Notification for draft-sparks-sipcore-refer-explicit-subscription-02.txt

From: Robert Sparks <[email-masked]>
Date: Tue, 21 Oct 2014 14:52:31 -0500

fyi

-------- Forwarded Message --------
Subject: 	New Version Notification for 
draft-sparks-sipcore-refer-explicit-subscription-02.txt
Date: 	Tue, 21 Oct 2014 12:26:36 -0700
From: 	[email-masked]
To: 	Robert Sparks <[email-masked]>, Robert Sparks 
<[email-masked]>

A new version of I-D, draft-sparks-sipcore-refer-explicit-subscription-02.txt
has been successfully submitted by Robert Sparks and posted to the
IETF repository.

Name:		draft-sparks-sipcore-refer-explicit-subscription
Revision:	02
Title:		Explicit Subscriptions for the REFER Method
Document date:	2014-10-21
Group:		Individual Submission
Pages:		13
URL:            http://www.ietf.org/internet-drafts/draft-sparks-sipcore-refer-explicit-subscription-02.txt
Status:         https://datatracker.ietf.org/doc/draft-sparks-sipcore-refer-explicit-subscription/
Htmlized:       http://tools.ietf.org/html/draft-sparks-sipcore-refer-explicit-subscription-02
Diff:           http://www.ietf.org/rfcdiff?url2=draft-sparks-sipcore-refer-explicit-subscription-02

Abstract:
    The Session Initiation Protocol (SIP) REFER request, as defined by
    RFC3515, triggers an implicit SIP-Specific Event Notification
    framework subscription.  Conflating the start of the subscription
    with handling the REFER request makes negotiating SUBSCRIBE
    extensions impossible, and complicates avoiding SIP dialog sharing.
    This document defines extensions to REFER to remove the implicit
    subscription and, if desired, replace it with an explicit one.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 23 Oct 2014 14:24:08 -0400

This update seems good. I have one comment on section 4.3:

Using a *GRUU* doesn't make the URI hard to guess.
Using a *temporary GRUU* does.

	Thanks,
	Paul

On 10/21/14 3:52 PM, Robert Sparks wrote:
> URL:http://www.ietf.org/internet-drafts/draft-sparks-sipcore-refer-explicit-subscription-02.txt
> Status:https://datatracker.ietf.org/doc/draft-sparks-sipcore-refer-explicit-subscription/
> Htmlized:http://tools.ietf.org/html/draft-sparks-sipcore-refer-explicit-subscription-02
> Diff:http://www.ietf.org/rfcdiff?url2=draft-sparks-sipcore-refer-explicit-subscription-02
>
> Abstract:
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>